summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--home/xyz/.bashrc9
-rwxr-xr-xhome/xyz/.local/bin/sbar12
-rw-r--r--home/xyz/.xinitrc1
3 files changed, 13 insertions, 9 deletions
diff --git a/home/xyz/.bashrc b/home/xyz/.bashrc
index 06710a55..7e236e43 100644
--- a/home/xyz/.bashrc
+++ b/home/xyz/.bashrc
@@ -34,9 +34,12 @@ PS1="\[$(tput setaf 1)\][\u@\h \W]\$ \[$(tput sgr0)\]"
for cmd in iotop nethogs hardcode-fixer ventoy du units_cur fbgrab; do
alias $cmd="sudo $cmd"
done
-for cmd in qbittorrent weechat; do
- alias $cmd="mullvad connect -w; kill -RTMIN+4 $(cat "$XDG_CACHE_HOME/pidofbar"); $cmd"
-done
+#for cmd in weechat; do
+# alias $cmd="mullvad connect -w; kill -RTMIN+4 $(cat "$XDG_CACHE_HOME/pidofbar"); $cmd"
+#done
+#for cmd in qbittorrent telegram-desktop; do
+# alias $cmd="mullvad connect -w; kill -RTMIN+4 $(cat "$XDG_CACHE_HOME/pidofbar"); o $cmd"
+#done
unset cmd
# same name
diff --git a/home/xyz/.local/bin/sbar b/home/xyz/.local/bin/sbar
index 52aa1b64..5beeaf16 100755
--- a/home/xyz/.local/bin/sbar
+++ b/home/xyz/.local/bin/sbar
@@ -28,9 +28,9 @@ update_net () {
net="$(bool < /sys/class/net/wlp6s0/operstate)"
}
-update_vpn () {
- vpn="$(mullvad status | awk '{print $3}' | bool)"
-}
+#update_vpn () {
+# vpn="$(mullvad status | awk '{print $3}' | bool)"
+#}
update_vol () {
# $(NF-1) for both alsa and pulseaudio
@@ -56,10 +56,10 @@ update_bat () {
# modules that don't update on their own need to be run at the start for getting their initial value
update_vol
update_mic
-update_vpn
+#update_vpn
display () {
- xsetroot -name "$(echo "$time | N $net V $vpn | M $vol C $mic | $cap | $bat")"
+ xsetroot -name "$(echo "$time | N $net | M $vol C $mic | $cap | $bat")"
}
# SIGNALLING
@@ -69,7 +69,7 @@ trap "update_vol;display" "RTMIN+1"
# xev can't read my toggle internet keyboard key, don't know what key to use in sxhkd to send signal
#trap "update_net;display" "RTMIN+2"
trap "update_cap;display" "RTMIN+3"
-trap "update_vpn;display" "RTMIN+4"
+#trap "update_vpn;display" "RTMIN+4"
# to update it from external commands
## kill -m "$(cat "$XDG_CACHE_HOME/pidofbar")"
# where m = 34 + n
diff --git a/home/xyz/.xinitrc b/home/xyz/.xinitrc
index a7bf39a1..5d2391f9 100644
--- a/home/xyz/.xinitrc
+++ b/home/xyz/.xinitrc
@@ -45,6 +45,7 @@ export XMODIFIERS=@im=fcitx
#clipmenud &
dunst &
fcitx5 -d
+mullvad connect
redshift &
sbar &
udiskie &